Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_NS_WString Class Reference

This class retain the backward compatibility for Naming_Conext and related classes. The only addition to ACE_WString is a very naive "wchar" to "char" conversion function. More...

`#include <SString.h>`

Inheritance diagram for ACE_NS_WString:

[legend]
Collaboration diagram for ACE_NS_WString:

[legend]
List of all members.

## Public Methods
| ACE_NS_WString (ACE_Allocator *alloc=0)
| Default constructor. More...
| ACE_NS_WString (const char *s, ACE_Allocator *alloc=0)
| Constructor that copies <s> into dynamically allocated memory. More...
| ACE_NS_WString (const ACE_WSTRING_TYPE *s, ACE_Allocator *alloc=0)
| Constructor that copies <s> into dynamically allocated memory. More...
| ACE_NS_WString (const ACE_USHORT16 *s, size_t len, ACE_Allocator *alloc=0)
| Constructor that takes in a ushort16 string (mainly used by the ACE Name_Space classes). More...
| ACE_NS_WString (const ACE_WSTRING_TYPE *s, size_t len, ACE_Allocator *alloc=0)
| Constructor that copies <len> ACE_WSTRING_TYPE's of <s> into dynamically allocated memory (will NUL terminate the result). More...
| ACE_NS_WString (size_t len, ACE_Allocator *alloc=0)
| Constructor that dynamically allocates memory for <len> + 1 ACE_WSTRING_TYPE characters. The newly created memory is set memset to 0. More...
| ACE_NS_WString (const ACE_NS_WString &s)
| Copy constructor. More...
| ACE_NS_WString (ACE_WSTRING_TYPE c, ACE_Allocator *alloc=0)
| Constructor that copies <c> into dynamically allocated memory. More...
char * | char_rep (void) const
| Transform into a copy of the ASCII character representation. (caller must delete). More...
ACE_USHORT16 * | ushort_rep (void) const
| Transform into a copy of a USHORT16 representation (caller must delete). Note, behavior is undefined when sizeof (wchar_t) != 2. More...

## Detailed Description

This class retain the backward compatibility for Naming_Conext and related classes. The only addition to ACE_WString is a very naive "wchar" to "char" conversion function.

## Constructor & Destructor Documentation

ACE_INLINE ACE_NS_WString::ACE_NS_WString | ( | ACE_Allocator * | alloc = 0 | ) |

| Default constructor.

ACE_NS_WString::ACE_NS_WString | ( | const char * | s,
|  | ACE_Allocator * | alloc = 0
| ) |

| Constructor that copies <s> into dynamically allocated memory.

ACE_INLINE ACE_NS_WString::ACE_NS_WString | ( | const ACE_WSTRING_TYPE * | s,
|  | ACE_Allocator * | alloc = 0
| ) |

| Constructor that copies <s> into dynamically allocated memory.

ACE_NS_WString::ACE_NS_WString | ( | const ACE_USHORT16 * | s,
|  | size_t | len,
|  | ACE_Allocator * | alloc = 0
| ) |

| Constructor that takes in a ushort16 string (mainly used by the ACE Name_Space classes).

ACE_INLINE ACE_NS_WString::ACE_NS_WString | ( | const ACE_WSTRING_TYPE * | s,
|  | size_t | len,
|  | ACE_Allocator * | alloc = 0
| ) |

| Constructor that copies <len> ACE_WSTRING_TYPE's of <s> into dynamically allocated memory (will NUL terminate the result).

ACE_INLINE ACE_NS_WString::ACE_NS_WString | ( | size_t | len,
|  | ACE_Allocator * | alloc = 0
| ) |

| Constructor that dynamically allocates memory for <len> + 1 ACE_WSTRING_TYPE characters. The newly created memory is set memset to 0.

ACE_INLINE ACE_NS_WString::ACE_NS_WString | ( | const ACE_NS_WString & | s | ) |

| Copy constructor.

ACE_INLINE ACE_NS_WString::ACE_NS_WString | ( | ACE_WSTRING_TYPE | c,
|  | ACE_Allocator * | alloc = 0
| ) |

| Constructor that copies <c> into dynamically allocated memory.

## Member Function Documentation

char * ACE_NS_WString::char_rep | ( | void |  | ) | const

| Transform into a copy of the ASCII character representation. (caller must delete).

ACE_USHORT16 * ACE_NS_WString::ushort_rep | ( | void |  | ) | const

| Transform into a copy of a USHORT16 representation (caller must delete). Note, behavior is undefined when sizeof (wchar_t) != 2.

The documentation for this class was generated from the following files:

- SString.h
- SString.cpp
- SString.i